Tax Forms
curl --request GET \
--url https://api.cadanapay.com/v1/users/{userId}/tax-forms \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cadanapay.com/v1/users/{userId}/tax-forms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cadanapay.com/v1/users/{userId}/tax-forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "W8BEN",
"formId": "30c6c36b5ae0985c1d715bbf25b878a1349cc99a",
"createdAt": 1690339130,
"isComplete": true,
"isDocumentDownloadable": true
}
]
}{
"code": "resource_not_found",
"message": "Requested resource could not be found."
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Users
Tax Forms
Get a user’s tax form
GET
/
v1
/
users
/
{userId}
/
tax-forms
Tax Forms
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
The unique identifier for the user
Response
get user tax forms response
Show child attributes
Show child attributes
⌘I